summaryrefslogtreecommitdiffstats
path: root/tests/ls/nameless-uid.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 16:58:41 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 16:58:41 +0000
commite1908ae95dd4c9d19ee4dfabfc8bf8a7f85943fe (patch)
treef5cc731bedcac0fb7fe14d952e4581e749f8bb87 /tests/ls/nameless-uid.sh
parentInitial commit. (diff)
downloadcoreutils-upstream.tar.xz
coreutils-upstream.zip
Adding upstream version 9.4.upstream/9.4upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests/ls/nameless-uid.sh')
-rwxr-xr-xtests/ls/nameless-uid.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/tests/ls/nameless-uid.sh b/tests/ls/nameless-uid.sh
new file mode 100755
index 0000000..94cdf40
--- /dev/null
+++ b/tests/ls/nameless-uid.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+# Ensure that ls -l works on files with nameless uid and/or gid
+
+# Copyright (C) 2006-2023 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ ls
+
+require_root_
+require_perl_
+
+nameless_uid=$($PERL -e '
+ foreach my $i (1000..16*1024) { getpwuid $i or (print "$i\n"), exit }
+')
+
+if test x$nameless_uid = x; then
+ skip_ "couldn't find a nameless UID"
+fi
+
+touch f || framework_failure_
+chown $nameless_uid f || framework_failure_
+
+
+set -- $(ls -o f) || fail=1
+test $3 = $nameless_uid || fail=1
+
+Exit $fail